apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: minimal-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  ingressClassName: {{ default "nginx" .Values.ingress.className }}
  defaultBackend:
    service:
     name: web
     port:
      number: 80
  rules:
    - http:
        paths:
        - path: /web
          pathType: Prefix
          backend:
            service:
              name: web
              port:
                number: 80
        - path: /micro
          pathType: Prefix
          backend:
            service:
              name: micro
              port:
                number: 80

